Subject: Re: bug#75379: 30.0.93; project-find-regexp expects "C" or "en" locale

From: Dmitry Gutov <[email-masked]>
Date: Tue, 7 Jan 2025 16:24:29 +0200

On 07/01/2025 07:42, Matthias Meulien wrote:
> Why not keep user locale setting and keep current grep args, but send a 
> generated file with NUL chars to collect the output message and make 
> current check generating the error be dynamically generated?

More complicated. We're not sure which programs will end in the 
customization of xref-search-program-alist, and whether each of them 
will detect binary files the same way.

Also Ripgrep outputs somewhat varying text like:

test/manual/etags/f-src/entry.strange.gz: binary file matches (found 
"\0" byte around offset 23)
test/manual/etags/cp-src/clheir.cpp.gz: binary file matches (found "\0" 
byte around offset 20)

Specifying the language from an environment var seems like the most 
straightforward approach still.